%define archivever  134

Summary:          Bouncy Castle Crypto Package for Java
Name:             bouncycastle
Version:          1.34
Release:          2%{?dist}
Group:            System Environment/Libraries
License:          BSD
URL:              http://www.%{name}.org/
# bcprov-jdk14-134.tar.gz with patented algorithms removed.
Source0:          bcprov-jdk14-134-FEDORA.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         jpackage-utils >= 1.5
Requires:         java-1.4.2-gcj-compat >= 1.4.2.0-40jpp_88rh
Requires(post):   jpackage-utils >= 1.5
Requires(postun): jpackage-utils >= 1.5
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:    java-devel >= 1.4.0
BuildRequires:    jpackage-utils >= 1.5
BuildRequires:    java-gcj-compat-devel

%description
The Bouncy Castle JCE provider.

%prep
%setup -q -n bcprov-jdk14-134

# Remove provided binaries
find . -type f -name "*.class" -exec rm -f {} \;
find . -type f -name "*.jar" -exec rm -f {} \;

%build
mkdir src
pushd src
  unzip ../src.zip
  find . -type d -name examples | xargs rm -rf
  find . -type d -name test | xargs rm -rf
  javac `find . -type f -name "*.java"`
  jarfile="../bcprov-%{version}.jar"
  files="`find . -type f -name "*.class"`"
  test ! -d classes && mf="" || mf="`find classes/ -type f -name "*.mf" 2>/dev/null`"
  test -n "$mf" && jar cvfm $jarfile $mf $files || jar cvf $jarfile $files
popd

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider

# install bouncy castle provider
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
install -pm 644 bcprov-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/bcprov-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
  ln -sf bcprov-%{version}.jar bcprov.jar
popd
pushd $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
  ln -sf %{_javadir}/bcprov-%{version}.jar bcprov-%{version}.jar
popd

%{_bindir}/aot-compile-rpm

%post
if [ -x %{_bindir}/rebuild-security-providers ]; then
  %{_bindir}/rebuild-security-providers
fi

if [ -x %{_bindir}/rebuild-gcj-db ]; then
  %{_bindir}/rebuild-gcj-db
fi

%postun
if [ $1 -eq 0 ] ; then

  if [ -x %{_bindir}/rebuild-security-providers ]; then
    %{_bindir}/rebuild-security-providers
  fi

  if [ -x %{_bindir}/rebuild-gcj-db ]; then
    %{_bindir}/rebuild-gcj-db
  fi

fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc *.html
%{_javadir}/bcprov.jar
%{_javadir}/bcprov-%{version}.jar
%{_javadir}/gcj-endorsed/bcprov-%{version}.jar
%{_sysconfdir}/java/security/security.d/2000-org.bouncycastle.jce.provider.BouncyCastleProvider
%attr(-,root,root) %{_libdir}/gcj/%{name}

%changelog
* Mon Dec 11 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.34-2.fc6
- Install bcprov jar and unversioned symlink in %{_javadir}.
- Install bcprov symlink in %{_javadir}/gcj-endorsed.
- Change release numbering format to X.fc6.
- Include new bcprov files in files list.
- Related: rhbz#218794

* Tue Nov 28 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.34-1
- Import Bouncy Castle 1.34.

* Tue Jul 25 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.33-3
- Bump release number.

* Mon Jul 10 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.33-2
- Fix problems pointed out by reviewer.

* Fri Jul  7 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 1.33-1
- First release.
